Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- PyERFA v2.0.1.1 »

# PyERFA

PyERFA is the Python wrapper for the ERFA library (Essential Routines for Fundamental Astronomy), a C library containing key algorithms for astronomy, which is based on the SOFA library published by the International Astronomical Union (IAU). All C routines are wrapped as Numpy universal functions, so that they can be called with scalar or array inputs.

The project is a split of `astropy._erfa` module, developed in the context of Astropy project, into a standalone package. It contains the ERFA C source code as a git submodule. The wrapping is done with help of the Jinja2 template engine.

If you use this package in your research, please cita it via DOI 10.5281/zenodo.3940699.

- Quickstart
  - Installation instructions
  - Testing
  - Usage
- erfa Package
  - Functions
  - Classes
  - Class Inheritance Diagram
- erfa.version Module
  - Variables
- Full Changelog
  - 2.0.1.1 (2023-10-19)
  - 2.0.1 (2023-10-13)
  - 2.0.0.3 (2023-03-22)
  - 2.0.0.2 (2023-03-19)
  - 2.0.0.1 (2021-11-02)
  - 2.0.0 (2021-05-17)
  - 1.7.3 (2021-04-25)
  - 1.7.2 (2021-01-25)
  - 1.7.1.1 (2020-11-18)
  - 1.7.1 (2020-11-16)
  - 1.7 (2020-05-31)
  - PyERFA repository import from Astropy
- Licenses
  - PyErfa License
  - Other Licenses
- Authors and Credits